Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum Sample.WeightedSampleFactory.SortOperation

    java.lang.Object
      java.lang.Enum<Sample.WeightedSampleFactory.SortOperation>
          de.jstacs.data.Sample.WeightedSampleFactory.SortOperation

All Implemented Interfaces:
  Serializable, Comparable<Sample.WeightedSampleFactory.SortOperation>

Enclosing class:
  Sample.WeightedSampleFactory

    public static enum Sample.WeightedSampleFactory.SortOperation

extends Enum<Sample.WeightedSampleFactory.SortOperation>

This `enum` defines the different types of sort operations that can be performed while creating a `Sample.WeightedSampleFactory`.

Author:
  Jens Keilwagen

Enum Constant Summary
`NO_SORT` Indicates that no sorting shall be done after eliminating `Sequence`s that occur more than once.
`SORT_BY_SEQUENCE` Indicates that the `Sequence`s shall be sorted after eliminating `Sequence`s that occur more than once.
`SORT_BY_WEIGHTS` This value indicates that the `Sequence`s shall be sorted according to their weights after eliminating `Sequence`s that occur more than once.

Method Summary
`static Sample.WeightedSampleFactory.SortOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sample.WeightedSampleFactory.SortOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_SORT

    public static final Sample.WeightedSampleFactory.SortOperation NO_SORT

  Indicates that no sorting shall be done after eliminating `Sequence`s that occur more than once.

### SORT_BY_SEQUENCE

    public static final Sample.WeightedSampleFactory.SortOperation SORT_BY_SEQUENCE

  Indicates that the `Sequence`s shall be sorted after eliminating `Sequence`s that occur more than once. Probably this is the slowest option.

### SORT_BY_WEIGHTS

    public static final Sample.WeightedSampleFactory.SortOperation SORT_BY_WEIGHTS

  This value indicates that the `Sequence`s shall be sorted according to their weights after eliminating `Sequence`s that occur more than once.

Method Detail

### values

    public static final Sample.WeightedSampleFactory.SortOperation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Sample.WeightedSampleFactory.SortOperation c : Sample.WeightedSampleFactory.SortOperation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Sample.WeightedSampleFactory.SortOperation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD